{ pkgs, user, ... }:

{
  home.username = user;
  home.homeDirectory = "/home/${user}";

  home.stateVersion = "24.05"; # Please read the comment before changing.

  home.sessionVariables = {
    EDITOR = "nvim";
  };

  programs.home-manager.enable = true;

  home.packages = with pkgs; [
    wsl-open
    xdg-utils
  ];

  imports = [
    ../bat.nix
    ../carapace.nix
    ../direnv.nix
    ../eza.nix
    ../fzf.nix
    ../ripgrep.nix
    ../starship.nix
    ../zoxide.nix
    ../git.nix
    ./gpg
    ./neovim
    ./picocom.nix
    ./podman.nix
    ./rsync.nix
    ./shell_aliases.nix
    ./ssh.nix
    ../tree.nix
    ./zsh.nix
  ];
}
