{ pkgs, user, ... }:

{
  home.username = user;
  home.homeDirectory = "/home/${user}";

  home.stateVersion = "24.05"; # Please read the comment before changing.

  home.packages = with pkgs; [
    jq
    htop
    pavucontrol
    gnumake
    unzip
    gcc
    thunderbird
    keepassxc
    light
    element-desktop
    difftastic
    darktable
    kubectl
    kubectx
    simple-scan
    calibre
    libreoffice
    gthumb
    gimp
    evince
    screen
    inkscape
    chromium
    xclip
  ];

  # Home Manager can also manage your environment variables through
  # 'home.sessionVariables'. These will be explicitly sourced when using a
  # shell provided by Home Manager. If you don't want to manage your shell
  # through Home Manager then you have to manually source 'hm-session-vars.sh'
  # located at either
  #
  #  ~/.nix-profile/etc/profile.d/hm-session-vars.sh
  #
  # or
  #
  #  ~/.local/state/nix/profiles/profile/etc/profile.d/hm-session-vars.sh
  #
  # or
  #
  #  /etc/profiles/per-user/mandlm/etc/profile.d/hm-session-vars.sh
  #
  home.sessionVariables = { };

  programs.home-manager.enable = true;

  imports = [
    ../bat.nix
    ../carapace.nix
    ../direnv.nix
    ../eza.nix
    ../fzf.nix
    ../ripgrep.nix
    ../starship.nix
    ../zoxide.nix
    ./firefox.nix
    ../git.nix
    ../tree.nix
    ./gpg
    ./kitty.nix
    ./neovim
    ./nextcloud.nix
    ./sway
    ./zsh.nix
  ];
}
